package com.pj.project4sp.admin;

import cn.hutool.core.util.PhoneUtil;
import com.pj.current.global.BusinessException;
import com.pj.project.tb_dept.TbDept;
import com.pj.project.tb_dept.TbDeptService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Propagation;
import org.springframework.transaction.annotation.Transactional;

import com.pj.project4sp.SP;
import com.pj.project4sp.admin4password.SpAdminPasswordService;

import cn.dev33.satoken.stp.StpUtil;

import javax.annotation.Resource;

/**
 * Service: admin管理员
 *
 * @author kong
 */
@Service
public class SpAdminService {


    @Resource
    SpAdminMapper spAdminMapper;

    @Resource
    SpAdminPasswordService spAdminPasswordService;
    @Resource
    private TbDeptService tbDeptService;

    /**
     * 管理员添加一个管理员
     *
     * @param admin
     * @return
     */
    @Transactional(rollbackFor = Exception.class, propagation = Propagation.REQUIRED)
    public long add(SpAdmin admin) {
        String phone = admin.getPhone();
        if (!PhoneUtil.isPhone(phone)) {
            throw new BusinessException("请输入正确的手机号");
        }
        admin.setName(admin.getPhone());
        // 检查姓名是否合法
        SpAdminUtil.checkAdmin(admin);

        // 创建人，为当前账号
        admin.setCreateByAid(StpUtil.getLoginIdAsLong());
        // 开始添加
        spAdminMapper.add(admin);
        TbDept tbDept = tbDeptService.getById(admin.getDeptId());
        tbDept.setPeopleNum(tbDept.getPeopleNum() + 1);
        tbDeptService.updateById(tbDept);
        // 获取主键
        long id = SP.publicMapper.getPrimarykey();
        // 更改密码（md5与明文）
        spAdminPasswordService.updatePassword(id, admin.getPassword2());

        // 返回主键
        return id;
    }

}
