package com.pj.current.global;

import lombok.Data;

/**

 * @description 业务异常
 * @date Create in 2018/2/27 14:36
 */
@Data
public class BusinessException extends RuntimeException {

    private static final long serialVersionUID = -8661950806210020649L;
    private Integer code;

    /**
     * 验证的时候,手动抛该异常
     *
     * @param errMsg 定义的错误信息
     */
    public BusinessException(String errMsg) {
        super(errMsg);
        this.code=500;
    }
    /**
     * 验证的时候,手动抛该异常
     *
     * @param errMsg 定义的错误信息
     */
    public BusinessException(String errMsg, Integer code) {
        super(errMsg);
        this.code=code;
    }


    /**
     * catch中抛该异常
     *
     * @param errMsg 自定义的错误信息
     * @param e      异常
     */
    public BusinessException(String errMsg, Throwable e) {
        super(errMsg, e);
    }

}
