package com.pj.project.sys_dict;

import java.io.Serializable;
import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.EqualsAndHashCode;

import lombok.Data;
import lombok.experimental.Accessors;

/**
 * Model: sys_dict -- 字典管理
 * @author qzyReal 
 */
@Data
@Accessors(chain = true)
@TableName(SysDict.TABLE_NAME)
@EqualsAndHashCode(callSuper = false)
public class SysDict extends Model<SysDict> implements Serializable {

	// ---------- 模块常量 ----------
	/**
	 * 序列化版本id 
	 */
	private static final long serialVersionUID = 1L;	
	/**
	 * 此模块对应的表名 
	 */
	public static final String TABLE_NAME = "sys_dict";	
	/**
	 * 此模块对应的权限码 
	 */
	public static final String PERMISSION_CODE = "sys-dict";	


	// ---------- 表中字段 ----------
	/**
	 * id 
	 */
	@TableId(type = IdType.AUTO)
	private Integer id;	

	/**
	 *  父ID  
	 */
	private Integer pid;	

	/**
	 *  数据编码  
	 */
	private String dataCode;	

	/**
	 *  数据名称/值  
	 */
	private String dataValue;	

	/**
	 * 数据描述 
	 */
	private String dataDesc;	





	


}
