package com.pj.project.tb_car_black;

import java.io.Serializable;
import java.util.Date;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.EqualsAndHashCode;

import lombok.Data;
import lombok.experimental.Accessors;

/**
 * Model: tb_car_black -- 车辆黑名单
 * @author qzyReal 
 */
@Data
@Accessors(chain = true)
@TableName(TbCarBlack.TABLE_NAME)
@EqualsAndHashCode(callSuper = false)
public class TbCarBlack extends Model<TbCarBlack> implements Serializable {

	// ---------- 模块常量 ----------
	/**
	 * 序列化版本id 
	 */
	private static final long serialVersionUID = 1L;	
	/**
	 * 此模块对应的表名 
	 */
	public static final String TABLE_NAME = "tb_car_black";	
	/**
	 * 此模块对应的权限码 
	 */
	public static final String PERMISSION_CODE_LIST = "tb-car-black-list";
	public static final String PERMISSION_CODE_ADD = "tb-car-black-add";
	public static final String PERMISSION_CODE_DEL = "tb-car-black-del";
	public static final String PERMISSION_CODE_EDIT = "tb-car-black-edit";


	// ---------- 表中字段 ----------
	/**
	 * 主键 
	 */
	@TableId(type = IdType.AUTO)
	private Long id;	

	/**
	 * 部门ID 
	 */
	private Long deptId;	

	/**
	 * 车牌号 
	 */
	private String carNo;	

	/**
	 * 禁行原因 
	 */
	private String reason;	

	/**
	 * 禁行开始 
	 */
	private Date startTime;

	/**
	 * 禁行结束 
	 */
	private Date endTime;

	/**
	 * 创建时间 
	 */
	private Date createTime;

	/**
	 * 创建人 
	 */
	private String createBy;	

	/**
	 * 更新时间 
	 */
	private Date updateTime;

	/**
	 * 更新人 
	 */
	private String updateBy;
	@TableField(exist = false)
	private String deptName;





	


}
