package com.pj.project.tb_car_black;

import java.util.Date;
import java.util.List;

import cn.dev33.satoken.stp.StpUtil;
import cn.hutool.core.util.IdcardUtil;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.IService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.pj.current.global.BusinessException;
import com.pj.current.satoken.StpUserUtil;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;
import com.pj.utils.so.*;

/**
 * Service: tb_car_black -- 车辆黑名单
 *
 * @author qzyReal
 */
@Service
public class TbCarBlackService extends ServiceImpl<TbCarBlackMapper, TbCarBlack> implements IService<TbCarBlack> {

    /**
     * 底层 Mapper 对象
     */
    @Autowired
    TbCarBlackMapper tbCarBlackMapper;


    /**
     * 增
     */
    public void add(TbCarBlack t) {
        Date now = new Date();
        String loginId = StpUtil.getLoginIdAsString();
        t.setCreateTime(now).setCreateBy(loginId).setUpdateBy(loginId).setUpdateTime(now);
        this.save(t);
    }

    /**
     * 删
     */
    public void delete(Long id) {
        this.removeById(id);
    }

    /**
     * 改
     */
    public void update(TbCarBlack t) {
        Date now = new Date();
        String loginId = StpUtil.getLoginIdAsString();
        t.setUpdateBy(loginId).setUpdateTime(now);
        this.updateById(t);
    }

    /**
     * 查
     */
    public TbCarBlack getById(Long id) {
        return tbCarBlackMapper.getById(id);
    }

    /**
     * 查集合 - 根据条件（参数为空时代表忽略指定条件）
     */
    public List<TbCarBlack> getList(SoMap so) {
        return tbCarBlackMapper.getList(so);
    }


    public List<TbCarBlack> findByCarNo(String carNo) {
        QueryWrapper<TbCarBlack> ew = new QueryWrapper<>();
        ew.eq("car_no", carNo.toUpperCase());
        return list(ew);
    }


}
