package com.pj.project.tb_car_filing;

import java.io.Serializable;
import java.util.Date;

import cn.hutool.core.util.IdcardUtil;
import cn.hutool.core.util.StrUtil;
import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.EqualsAndHashCode;

import lombok.Data;
import lombok.experimental.Accessors;

/**
 * Model: tb_car_filing -- 车辆备案
 * @author qzyReal 
 */
@Data
@Accessors(chain = true)
@TableName(TbCarFiling.TABLE_NAME)
@EqualsAndHashCode(callSuper = false)
public class TbCarFiling extends Model<TbCarFiling> implements Serializable {

	// ---------- 模块常量 ----------
	/**
	 * 序列化版本id 
	 */
	private static final long serialVersionUID = 1L;	
	/**
	 * 此模块对应的表名 
	 */
	public static final String TABLE_NAME = "tb_car_filing";	
	/**
	 * 此模块对应的权限码 
	 */
	public static final String PERMISSION_CODE_LIST = "tb-car-filing-list";
	public static final String PERMISSION_CODE_ADD = "tb-car-filing-add";
	public static final String PERMISSION_CODE_DEL = "tb-car-filing-del";
	public static final String PERMISSION_CODE_EDIT = "tb-car-filing-edit";


	// ---------- 表中字段 ----------
	/**
	 *  
	 */
	@TableId(type = IdType.AUTO)
	private Long id;	

	/**
	 * 部门ID 
	 */
	private Long deptId;	
	private String deptName;

	/**
	 * 车牌号 
	 */
	private String carNo;	

	/**
	 * 类型(1=临时,2=内部) 
	 */
	private int type=1;

	/**
	 * 联系人 
	 */
	private String driverName;	

	/**
	 * 联系电话 
	 */
	private String driverContact;	

	/**
	 * 联系人身份证 
	 */
	private String driverIdCard;	

	/**
	 * 预计来访时间 
	 */
	private Date preComeTime;

	/**
	 * 预计结束时间 
	 */
	private Date preLeaveTime;

	/**
	 * 状态 0未到访，1已来防
	 */
	private int visit;

	/**
	 * 备注 
	 */
	private String remark;	

	/**
	 * 创建时间 
	 */
	private Date createTime;

	/**
	 * 创建人 
	 */
	private String createBy;	

	/**
	 * 更新时间 
	 */
	private Date updateTime;

	/**
	 * 更新人 
	 */
	private String updateBy;	


	@TableField(exist = false)
	private String driverIdCardStr;

	public String getDriverIdCardStr() {
		String str = IdcardUtil.getBirthByIdCard(driverIdCard);
		if (StrUtil.isNotEmpty(str)) {
			return driverIdCard.replace(str, "********");
		}
		return driverIdCard;
	}
}
