package com.pj.project.tb_command_log;

import java.util.List;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.IService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;
import com.pj.utils.so.*;

/**
 * Service: tb_command_log -- 
 * @author qzyReal 
 */
@Service
@Transactional(rollbackFor = Exception.class)
public class TbCommandLogService extends ServiceImpl<TbCommandLogMapper, TbCommandLog> implements IService<TbCommandLog>{

	/** 底层 Mapper 对象 */
	@Autowired
	TbCommandLogMapper tbCommandLogMapper;


	/** 增 */
	public void add(TbCommandLog t){
	this.save( t);
	}

	/** 删 */
	public void delete(Long id){
	this.removeById(id);
	}

	/** 改 */
	public void update(TbCommandLog t){
	this.updateById(t);
	}

	/** 查 */
	public TbCommandLog getById(Long id){
	return super.getById(id);
	}

	/** 查集合 - 根据条件（参数为空时代表忽略指定条件） */
	public List<TbCommandLog> getList(SoMap so) {
		return tbCommandLogMapper.getList(so);	
	}


	public TbCommandLog findByMsgId(String msgId) {
		QueryWrapper<TbCommandLog>ew=new QueryWrapper<>();
		ew.eq("msg_id",msgId);
		return getOne(ew);
	}
}
