package com.pj.project.tb_manager;

import java.io.Serializable;
import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.EqualsAndHashCode;

import lombok.Data;
import lombok.experimental.Accessors;

/**
 * Model: tb_manager -- 防疫人员
 * @author qzyReal 
 */
@Data
@Accessors(chain = true)
@TableName(TbManager.TABLE_NAME)
@EqualsAndHashCode(callSuper = false)
public class TbManager extends Model<TbManager> implements Serializable {

	// ---------- 模块常量 ----------
	/**
	 * 序列化版本id 
	 */
	private static final long serialVersionUID = 1L;	
	/**
	 * 此模块对应的表名 
	 */
	public static final String TABLE_NAME = "tb_manager";	
	/**
	 * 此模块对应的权限码 
	 */
	public static final String PERMISSION_CODE = "tb-manager";	


	// ---------- 表中字段 ----------
	/**
	 * 主键 
	 */
	@TableId(type = IdType.AUTO)
	private Long id;	

	/**
	 * 姓名 
	 */
	private String name;	

	/**
	 * 联系号码 
	 */
	private String phone;	

	/**
	 * 部门ID 
	 */
	private Long deptId;	

	/**
	 * 职能 
	 */
	private String position;	

	/**
	 * 场所ID 
	 */
	private Long venuesId;	

	/**
	 * 值班地点 
	 */
	private String venuesName;	

	/**
	 * 值班开始时间 
	 */
	private String workStartTime;	

	/**
	 * 值班结束时间 
	 */
	private String workEndTime;	

	/**
	 * 备注 
	 */
	private String remark;	

	/**
	 * 创建时间 
	 */
	private String createTime;	

	/**
	 * 创建人 
	 */
	private String createBy;	

	/**
	 * 更新时间 
	 */
	private String updateTime;	

	/**
	 * 更新人 
	 */
	private String updateBy;	





	


}
