package com.pj.project.tb_terminal.task;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.pj.current.netty.command.constants.CommandType;
import com.pj.project.tb_terminal.TbTerminal;
import com.pj.project.tb_terminal.TbTerminalService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.scheduling.annotation.Async;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Component;

import javax.annotation.Resource;
import java.util.List;

/**
 * 检查终端人脸数量
 */
@Component
@Slf4j
public class CheckTask {

    @Resource
    private TbTerminalService tbTerminalService;

    @Scheduled(fixedDelay = 1800000)
    @Async
    public void check() {
        List<TbTerminal> tbTerminalList = tbTerminalService.list(new QueryWrapper<>());
        tbTerminalList.forEach(tbTerminal -> {
            String sn=tbTerminal.getSn();
            tbTerminalService.checkOptions(CommandType.ISSUED_OPTION_COMMAND.getFuncId(),sn);
            tbTerminalService.startHeartCommand(sn);
        });

    }
}
