package com.pj.project.tb_terminal.task;

import cn.hutool.extra.spring.SpringUtil;

import com.pj.current.task.Task;

import com.pj.utils.cache.RedisUtil;
import io.netty.channel.ChannelHandlerContext;
import lombok.extern.slf4j.Slf4j;

@Slf4j
public class CommandDelayTask extends Task {

    private ChannelHandlerContext cx;
    private String content;
    private String msgId;



    public CommandDelayTask(String id, long delayInMilliseconds, ChannelHandlerContext cx, String content, String msgId) {
        super(id, delayInMilliseconds);
        this.cx = cx;
        this.content = content;
        this.msgId = msgId;

    }

    @Override
    public void run() {
        log.info("延迟发送命令:{}",content);
        String channelId = cx.channel().id().asShortText();
        RedisUtil.setBySecond(channelId, msgId, 20);
        cx.write(content);
        cx.flush();
    }
}
